module.exports = function redditScraper() {
  return {
    rateLimit: {
      max: 1,
      duration: 1000,
    },
    start: { url: 'http://www.mcrpg.com/kohi-click-test', method: 'home' },
    name: 'click-test',
    home({ $ }) {
      for (let i = 0; i < 500; i += 1) {
        $('button.btn:contains(Click Here)')[0].click();
      }
    },
    story({ $, data }) {
      data({
        name: $('title').text().trim(),
      });
    },
  };
};

